@import "../../../assets/scss/global.scss";

.content-unit-test-wrapper {
    .unit-test-tag {
        z-index: 1;
        padding: 10px 20px 0;
        display: flex;
        flex-direction: column;
        gap: 12px;
        position: sticky;
        top: 0;
        background: #F7F8FC;

        .top-actions {
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: space-between;

            .btn-create {
                border-radius: 12px;
                padding: 11px 12px;
                font-weight: 500;
                font-size: 13px;
                line-height: 17px;
                background: $secondary-color;
                color: white;
                display: flex;
                justify-content: center;
                align-items: center;
                gap: 4px;

                svg {
                    width: 20px;
                    height: auto;

                    path {
                        fill: white;
                    }
                }
            }
        }

        .tag-page{
            display: flex;
            flex-direction: row;
            position: relative;
        
            .item-tag {
                position: relative;
                padding: 0 20px;
                height: 42px;
                gap: 10px;
                cursor: pointer;
                display: flex;
                gap: 8px;
                justify-content: center;
                align-items: center;
                border-bottom: 2px solid transparent;

                .icon-book{
                    svg {
                        display: block;
                        path {
                            fill: #8E91A0;
                        }
                    }
                }
                .icon-disable{
                    height: 25px;
                    width: 25px;
                    background: #FFFFFF;
                    border-radius: 8px;
                    padding: 5px;
                    text-align: center;
                    svg{
                        height: 15px;
                        width: 15px;
                        display: block;
                    }
                }
                span {
                    color: #8e91a0;
                    font-weight: 500;
                    font-size: 14px;
                    line-height: 20px;
                    text-shadow: 0px 4px 54px rgba(0, 0, 0, 0.1);
                }
                &.active {
                    border-bottom: 2px solid #ed3902;
                    span {
                    color: #ed3902;
                    text-shadow: none;
                    }
                    .icon-book{
                    svg {
                        display: block;
                        path {
                            fill: #ed3902;
                        }
                    }
                }
                .icon-disable{
                    svg{
                        display: block;
                    }
                }
                }
            }
        }
        .tag-fillter-props{
            display: flex;
            flex: none;
            align-items: center;
        }
        .box-filter-wrapper{
            position: relative;
            .box-filter-action{
                display: flex;
                flex-direction: row;
                justify-content: space-between;
                align-items: center;
                .box-tag-action{
                    display: flex;
                    flex-direction: row;
                    .item-tag{
                        display: flex;
                        flex-direction: row;
                        justify-content: center;
                        align-items: center;
                        position: relative;
                        height: 57px;
                        width: 150px;
                        cursor: pointer;
                        .item-text{
                            display: flex;
                            flex-direction: row;
                            align-items: center;
                            justify-content: center;
                            gap: 10px;
                            height: 100%;
                            width: 100%;
                            background: #E2E5F2;
                            border-radius: 12px 12px 0px 0px;
                            z-index: 1;

                            img{
                                height: 30px;
                                width: 30px;
                                object-fit: contain;
                            }
                            span{
                                font-weight: 500;
                                font-size: 12px;
                                line-height: 16px;
                                color: #757688;
                                text-transform: capitalize;
                            }
                        }
                        .temp{
                            height: 38px;
                            width: 40px;
                            bottom: 0;
                            right: -40px;
                            position: absolute;
                            overflow: hidden;
                            z-index: 2;
                            pointer-events: none;

                            &::before{
                                content: '';
                                display: block;
                                height: 100%;
                                border-radius:  0 0 0 50%;
                                box-shadow: 0 0 0 50px #E2E5F2;
                            }
                        }

                        &.active{
                            .item-text{
                                background: #FFFFFF;
                                span{
                                    color: #202226;
                                }

                            }
                            .temp{
                                
                                &::before{
                                    box-shadow: 0 0 0 50px #FFFFFF;
                                }
                            }
                        }
                    }
                }
                .wrapper-carousel{
                    height: 57px;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    padding: 8px;
                    background: #FFFFFF;
                    border-bottom: 1px solid #DFDAFF;
                    border-radius: 16px 16px 0px 0px;
                    .btn-all{
                        height: 41px;
                        border-radius: 12px;
                        padding: 12px 20px;
                        font-weight: 500;
                        font-size: 13px;
                        line-height: 17px;
                        text-align: center;
                        background: #F7F8FC;
                        color: #8E91A0;
                        
                        &:hover{
                            color: #4B4471;
                            background: #DFD8FB;
                        }
                        &.active{
                            background: #7C68EE;
                            color: #FFF4F4;
                        }
                    }
                    .diriver{
                        width: 41px;
                        height: 0px;
                        border: 1px solid #DFDAFF;
                        transform: rotate(90deg);
                    }
                    .temp{
                        width: 30px;
                        height: 24px;
                    }
                    .box-carosel{
                        width: 380px;
                        .carousel{
                            height: 100%;
                            [class~="slider-slide"]{
                                width: 60px !important;
                            }
                            
                            .carousel-item{
                                height: 41px;
                                width: 60px;
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                background: #F7F8FC;
                                border-radius: 12px;
                                font-weight: 500;
                                font-size: 13px;
                                line-height: 17px;
                                color: #8E91A0;
                                text-align: center;

                                &:hover{
                                    color: #4B4471;
                                    background: #DFD8FB;
                                }
                                &.active{
                                    background: #7C68EE;
                                    color: #FFF4F4;
                                }
                                    
                            }
                            [class~="slider-control-centerright"]{
                                right:-30px !important;
                                button{
                                    display: flex;
                                    justify-content: center;
                                    align-items: center;
                                    background: initial;
                                    svg{
                                        path{
                                            fill: #7C68EE;
                                        }
                                    }

                                    
                                }
                                button[disabled]{
                                    svg{
                                        path{
                                            fill: #8E91A0;
                                        }
                                    }
                                }
                            }
                            [class~="slider-control-centerleft"]{
                                left:-30px !important;
                                button{
                                    display: flex;
                                    justify-content: center;
                                    align-items: center;
                                    background: initial;
                                    svg{
                                        transform: rotate(-180deg);
                                        path{
                                            fill: #7C68EE;
                                        }
                                    }
                                    
                                }
                                button[disabled]{
                                    svg{
                                        path{
                                            fill: #8E91A0;
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
                
            }
        }
    }
    .box-content-unit-test {
        padding: 0 20px;
        text-align: center;
        background: #F7F8FC;
    }
}
.poperver-modal{
    border-radius: 12px;
    transform: translate(-10px) !important;
    margin-left: 4px !important;
    box-shadow: 0px 4px 20px rgba(76, 95, 168, 0.1);
    // [class~='rs-popover-arrow']{
    //     margin-top: 6px !important;
    //     display: none;
    // }
}